<template>
	<div class="login">
        <h1 class="enter_lk">{{ h1 }}</h1>

		<div class="login_container">
			<div class="logo">
                <logo></logo>
			</div>

			<div class="form_container">
				<img src="/img/snowflake.svg" class="snowflake">
				<div class="form">
					<transition name="fade" mode="out-in">
						<router-view @set-h1="setH1"></router-view>
					</transition>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import LoginComponent from "../components/LoginComponent";
    import Logo from "../components/svg/Logo";

	export default {
		name: "Login",
		components: {
			LoginComponent,
            "logo": Logo
		},
        data(){
		    return {
		        h1: this.$t('message.enter_lk')
            }
        },
        methods: {
            setH1(value){
                this.h1 = value;
            }
        }
	}
</script>
